All classes:
- email_validator.exceptions.EmailNotValidError
- email_validator.exceptions.EmailSyntaxError
- email_validator.exceptions.EmailUndeliverableError
- email_validator.types.ValidatedEmail
- email_validator.syntax.LocalPartValidationResult
- email_validator.syntax.DomainNameValidationResult
- email_validator.syntax.DomainLiteralValidationResult
All functions:
  Elements:
  - BBCount: 1
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 2
    ICount: 1
    IfCount: 1
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: -1
    functionName: '...fuzz_validator'
    functionSourceFile: '...fuzz_validator'
    functionUses: 0
    functionsReached:
    - atheris.Setup
    - atheris.Fuzz
    - '...fuzz_validator.main'
    - atheris.instrument_all
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 1
    IfCount: 0
    argCount: 1
    argDefaultValues: []
    argNames:
    - data
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 4
    functionLinenumber: 23
    functionName: '...fuzz_validator.TestOneInput'
    functionSourceFile: '...fuzz_validator'
    functionUses: 0
    functionsReached:
    - domain_literal.startswith
    - <builtin>.any
    - label.startswith
    - <builtin>.isinstance
    - unicodedata.category
    - DOMAIN_LITERAL_CHARS.match
    - right_part.rstrip
    - email_validator.syntax.split_email
    - email.decode
    - email_validator.deliverability.validate_email_deliverability.is_global_addr
    - idna.alabel
    - email_validator.syntax.split_email.unquote_quoted_string
    - <builtin>.repr
    - addr.encode
    - local.encode
    - ipaddress.IPv4Address
    - idna.encode
    - email_validator.syntax.get_length_reason
    - left_part.rstrip
    - domain_part.startswith
    - right_part.startswith
    - ATEXT_INTL_DOT_RE.match
    - DOT_ATOM_TEXT_HOSTNAME.match
    - email_validator.syntax.check_dot_atom
    - ascii_domain.endswith
    - <builtin>.set
    - email_validator.syntax.validate_email_domain_literal
    - email_validator.validate_email.validate_email
    - <builtin>.sorted
    - ascii_domain.encode
    - email_validator.syntax.safe_character_display
    - DOT_ATOM_TEXT_INTL.match
    - dns_resolver.resolve
    - DOT_ATOM_TEXT.match
    - email_validator.syntax.validate_email_length
    - idna.uts46_remap
    - c.encode
    - email_validator.syntax.validate_email_domain_name
    - <builtin>.ord
    - unicodedata.decomposition
    - <builtin>.enumerate
    - re.sub
    - ATEXT_HOSTNAME_INTL.match
    - email_validator.syntax.validate_email_local_part
    - deliverability_info.get
    - ascii_domain.split
    - domain.split
    - <builtin>.max
    - QTEXT_INTL.match
    - DOMAIN_NAME_REGEX.search
    - <builtin>.chr
    - dns.resolver.get_default_resolver
    - <builtin>.str
    - ipaddress.IPv6Address
    - unicodedata.name
    - bad_chars.add
    - value.startswith
    - ret.local_part.lower
    - <builtin>.len
    - email_validator.syntax.check_unsafe_chars
    - re.match
    - domain_part.endswith
    - idna.decode
    - label.endswith
    - unicodedata.normalize
    - email_validator.syntax.uts46_valid_char
    - ATEXT_RE.match
    - ipaddress.ip_address
    - email_validator.deliverability.validate_email_deliverability
    - ret.ascii_local_part.lower
    - email_validator.syntax.split_email.split_string_at_unquoted_special
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 25
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 13
    EdgeCount: 36
    ICount: 3
    IfCount: 25
    argCount: 11
    argDefaultValues: []
    argNames:
    - allow_smtputf8
    - allow_empty_local
    - allow_quoted_local
    - allow_domain_literal
    - allow_display_name
    - strict
    - check_deliverability
    - test_environment
    - globally_deliverable
    - timeout
    - dns_resolver
    argTypes:
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 3
    functionLinenumber: 16
    functionName: email_validator.validate_email.validate_email
    functionSourceFile: email_validator.validate_email
    functionUses: 3
    functionsReached:
    - domain_literal.startswith
    - email_validator.syntax.split_email.split_string_at_unquoted_special
    - <builtin>.any
    - <builtin>.isinstance
    - unicodedata.category
    - DOMAIN_LITERAL_CHARS.match
    - right_part.rstrip
    - email_validator.syntax.split_email
    - email.decode
    - email_validator.deliverability.validate_email_deliverability.is_global_addr
    - idna.alabel
    - email_validator.syntax.split_email.unquote_quoted_string
    - <builtin>.repr
    - addr.encode
    - local.encode
    - ipaddress.IPv4Address
    - idna.encode
    - email_validator.syntax.get_length_reason
    - left_part.rstrip
    - domain_part.startswith
    - ATEXT_INTL_DOT_RE.match
    - label.startswith
    - DOT_ATOM_TEXT_HOSTNAME.match
    - email_validator.syntax.check_dot_atom
    - ascii_domain.endswith
    - <builtin>.set
    - email_validator.syntax.validate_email_domain_literal
    - email_validator.syntax.safe_character_display
    - <builtin>.sorted
    - ascii_domain.encode
    - DOT_ATOM_TEXT_INTL.match
    - dns_resolver.resolve
    - DOT_ATOM_TEXT.match
    - email_validator.syntax.validate_email_length
    - idna.uts46_remap
    - c.encode
    - email_validator.syntax.validate_email_domain_name
    - <builtin>.ord
    - unicodedata.decomposition
    - <builtin>.enumerate
    - re.sub
    - ATEXT_HOSTNAME_INTL.match
    - email_validator.syntax.validate_email_local_part
    - deliverability_info.get
    - ascii_domain.split
    - domain.split
    - <builtin>.max
    - QTEXT_INTL.match
    - DOMAIN_NAME_REGEX.search
    - <builtin>.chr
    - dns.resolver.get_default_resolver
    - <builtin>.str
    - ipaddress.IPv6Address
    - unicodedata.name
    - bad_chars.add
    - value.startswith
    - ret.local_part.lower
    - <builtin>.len
    - email_validator.syntax.check_unsafe_chars
    - re.match
    - domain_part.endswith
    - idna.decode
    - label.endswith
    - unicodedata.normalize
    - email_validator.syntax.uts46_valid_char
    - ATEXT_RE.match
    - ipaddress.ip_address
    - email_validator.deliverability.validate_email_deliverability
    - ret.ascii_local_part.lower
    - right_part.startswith
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    - Exception
    - TypeError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 3
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 30
    functionName: '...fuzz_validator.main'
    functionSourceFile: '...fuzz_validator'
    functionUses: 1
    functionsReached:
    - atheris.Setup
    - atheris.Fuzz
    - atheris.instrument_all
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: atheris.Setup
    functionSourceFile: atheris
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: atheris.instrument_all
    functionSourceFile: atheris
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: atheris.Fuzz
    functionSourceFile: atheris
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: email_validator
    functionSourceFile: email_validator
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 2
    argDefaultValues: []
    argNames:
    - args
    - kwargs
    argTypes:
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: 17
    functionName: email_validator.caching_resolver
    functionSourceFile: email_validator
    functionUses: 0
    functionsReached:
    - dns.resolver.Resolver
    - email_validator.deliverability.caching_resolver
    - dns.resolver.LRUCache
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 1
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 2
    ICount: 0
    IfCount: 1
    argCount: 3
    argDefaultValues: []
    argNames:
    - timeout
    - cache
    - dns_resolver
    argTypes:
    - N/A
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 11
    functionName: email_validator.deliverability.caching_resolver
    functionSourceFile: email_validator.deliverability
    functionUses: 3
    functionsReached:
    - dns.resolver.Resolver
    - dns.resolver.LRUCache
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: email_validator.types
    functionSourceFile: email_validator.types
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 1
    argDefaultValues: []
    argNames:
    - self
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: 53
    functionName: email_validator.types.ValidatedEmail.__repr__
    functionSourceFile: email_validator.types
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 2
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 4
    EdgeCount: 4
    ICount: 0
    IfCount: 2
    argCount: 2
    argDefaultValues: []
    argNames:
    - self
    - key
    argTypes:
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: 57
    functionName: email_validator.types.ValidatedEmail.__getattr__
    functionSourceFile: email_validator.types
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised:
    - AttributeError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 1
    IfCount: 0
    argCount: 1
    argDefaultValues: []
    argNames:
    - self
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 65
    functionName: email_validator.types.ValidatedEmail.email
    functionSourceFile: email_validator.types
    functionUses: 0
    functionsReached:
    - warnings.warn
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: warnings.warn
    functionSourceFile: warnings
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 8
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 6
    EdgeCount: 12
    ICount: 1
    IfCount: 8
    argCount: 2
    argDefaultValues: []
    argNames:
    - self
    - key
    argTypes:
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 71
    functionName: email_validator.types.ValidatedEmail.__getitem__
    functionSourceFile: email_validator.types
    functionUses: 0
    functionsReached:
    - warnings.warn
    linkageType: pythonLinkage
    raised:
    - KeyError
    returnType: N/A
  - BBCount: 1
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 2
    ICount: 0
    IfCount: 1
    argCount: 2
    argDefaultValues: []
    argNames:
    - self
    - other
    argTypes:
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 92
    functionName: email_validator.types.ValidatedEmail.__eq__
    functionSourceFile: email_validator.types
    functionUses: 0
    functionsReached:
    - <builtin>.isinstance
    - <builtin>.getattr
    - <builtin>.repr
    - <builtin>.sorted
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.isinstance
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.getattr
    functionSourceFile: <builtin>
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.sorted
    functionSourceFile: <builtin>
    functionUses: 6
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.repr
    functionSourceFile: <builtin>
    functionUses: 12
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 1
    argDefaultValues: []
    argNames:
    - self
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 110
    functionName: email_validator.types.ValidatedEmail.as_constructor
    functionSourceFile: email_validator.types
    functionUses: 0
    functionsReached:
    - <builtin>.getattr
    - <builtin>.repr
    - <builtin>.hasattr
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.hasattr
    functionSourceFile: <builtin>
    functionUses: 1
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 1
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 2
    ICount: 0
    IfCount: 1
    argCount: 1
    argDefaultValues: []
    argNames:
    - self
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 122
    functionName: email_validator.types.ValidatedEmail.as_dict
    functionSourceFile: email_validator.types
    functionUses: 2
    functionsReached:
    - <builtin>.repr
    - d.get
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: d.get
    functionSourceFile: <builtin>
    functionUses: 3
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: email_validator.version
    functionSourceFile: email_validator.version
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: email_validator.validate_email
    functionSourceFile: email_validator.validate_email
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: email.decode
    functionSourceFile: <builtin>
    functionUses: 4
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 6
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 5
    EdgeCount: 9
    ICount: 1
    IfCount: 6
    argCount: 1
    argDefaultValues: []
    argNames:
    - email
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: 14
    functionName: email_validator.syntax.split_email
    functionSourceFile: email_validator.syntax
    functionUses: 4
    functionsReached:
    - right_part.startswith
    - email_validator.syntax.split_email.unquote_quoted_string
    - bad_chars.add
    - <builtin>.repr
    - unicodedata.name
    - email_validator.syntax.check_unsafe_chars
    - <builtin>.len
    - unicodedata.normalize
    - ATEXT_RE.match
    - left_part.rstrip
    - <builtin>.ord
    - <builtin>.enumerate
    - domain_part.startswith
    - unicodedata.category
    - right_part.rstrip
    - email_validator.syntax.safe_character_display
    - <builtin>.set
    - email_validator.syntax.split_email.split_string_at_unquoted_special
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: unicodedata.normalize
    functionSourceFile: unicodedata
    functionUses: 6
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 14
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 9
    EdgeCount: 21
    ICount: 4
    IfCount: 14
    argCount: 5
    argDefaultValues:
    - <ast.Constant object at 0x7f25ef9c3a60>
    - <ast.Constant object at 0x7f25ef9c3190>
    - <ast.Constant object at 0x7f25ef9c31f0>
    - <ast.Constant object at 0x7f25ef9c3c10>
    argNames:
    - local
    - allow_smtputf8
    - allow_empty_local
    - quoted_local_part
    - strict
    argTypes:
    - N/A
    - N/A
    - N/A
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: 231
    functionName: email_validator.syntax.validate_email_local_part
    functionSourceFile: email_validator.syntax
    functionUses: 4
    functionsReached:
    - unicodedata.category
    - <builtin>.repr
    - local.encode
    - email_validator.syntax.get_length_reason
    - ATEXT_INTL_DOT_RE.match
    - label.startswith
    - email_validator.syntax.check_dot_atom
    - DOT_ATOM_TEXT_INTL.match
    - email_validator.syntax.safe_character_display
    - <builtin>.set
    - DOT_ATOM_TEXT.match
    - <builtin>.ord
    - <builtin>.enumerate
    - re.sub
    - QTEXT_INTL.match
    - unicodedata.name
    - bad_chars.add
    - <builtin>.len
    - email_validator.syntax.check_unsafe_chars
    - label.endswith
    - ATEXT_RE.match
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ret.ascii_local_part.lower
    functionSourceFile: <builtin>
    functionUses: 4
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ret.local_part.lower
    functionSourceFile: <builtin>
    functionUses: 4
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.len
    functionSourceFile: <builtin>
    functionUses: 12
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: domain_part.startswith
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: domain_part.endswith
    functionSourceFile: <builtin>
    functionUses: 4
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 4
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 5
    EdgeCount: 7
    ICount: 0
    IfCount: 4
    argCount: 1
    argDefaultValues: []
    argNames:
    - domain_literal
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: 765
    functionName: email_validator.syntax.validate_email_domain_literal
    functionSourceFile: email_validator.syntax
    functionUses: 4
    functionsReached:
    - domain_literal.startswith
    - ipaddress.IPv6Address
    - unicodedata.name
    - <builtin>.repr
    - re.match
    - ipaddress.IPv4Address
    - <builtin>.ord
    - unicodedata.category
    - DOMAIN_LITERAL_CHARS.match
    - email_validator.syntax.safe_character_display
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 15
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 9
    EdgeCount: 22
    ICount: 5
    IfCount: 15
    argCount: 3
    argDefaultValues:
    - <ast.Constant object at 0x7f25ef4256a0>
    - <ast.Constant object at 0x7f25ef425490>
    argNames:
    - domain
    - test_environment
    - globally_deliverable
    argTypes:
    - N/A
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: 498
    functionName: email_validator.syntax.validate_email_domain_name
    functionSourceFile: email_validator.syntax
    functionUses: 4
    functionsReached:
    - unicodedata.category
    - idna.alabel
    - <builtin>.repr
    - idna.encode
    - email_validator.syntax.get_length_reason
    - label.startswith
    - email_validator.syntax.check_dot_atom
    - DOT_ATOM_TEXT_HOSTNAME.match
    - ascii_domain.endswith
    - <builtin>.set
    - email_validator.syntax.safe_character_display
    - ascii_domain.encode
    - idna.uts46_remap
    - unicodedata.decomposition
    - <builtin>.ord
    - <builtin>.enumerate
    - <builtin>.chr
    - ATEXT_HOSTNAME_INTL.match
    - ascii_domain.split
    - domain.split
    - DOMAIN_NAME_REGEX.search
    - unicodedata.name
    - bad_chars.add
    - email_validator.syntax.check_unsafe_chars
    - <builtin>.len
    - re.match
    - idna.decode
    - label.endswith
    - email_validator.syntax.uts46_valid_char
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 4
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 5
    EdgeCount: 7
    ICount: 0
    IfCount: 4
    argCount: 1
    argDefaultValues: []
    argNames:
    - addrinfo
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: 697
    functionName: email_validator.syntax.validate_email_length
    functionSourceFile: email_validator.syntax
    functionUses: 4
    functionsReached:
    - addr.encode
    - <builtin>.len
    - email_validator.syntax.get_length_reason
    - c.encode
    - <builtin>.max
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 8
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 6
    EdgeCount: 12
    ICount: 0
    IfCount: 8
    argCount: 4
    argDefaultValues:
    - <ast.Constant object at 0x7f25efc27f40>
    - <ast.Constant object at 0x7f25efc27d60>
    argNames:
    - domain
    - domain_i18n
    - timeout
    - dns_resolver
    argTypes:
    - N/A
    - N/A
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 2
    functionLinenumber: 28
    functionName: email_validator.deliverability.validate_email_deliverability
    functionSourceFile: email_validator.deliverability
    functionUses: 4
    functionsReached:
    - dns.resolver.get_default_resolver
    - email_validator.deliverability.validate_email_deliverability.is_global_addr
    - <builtin>.any
    - value.startswith
    - <builtin>.len
    - ipaddress.ip_address
    - <builtin>.str
    - dns_resolver.resolve
    - <builtin>.sorted
    linkageType: pythonLinkage
    raised:
    - ValueError
    - EmailUndeliverableError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: deliverability_info.get
    functionSourceFile: <builtin>
    functionUses: 4
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: email_validator.syntax
    functionSourceFile: email_validator.syntax
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 9
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 7
    EdgeCount: 14
    ICount: 0
    IfCount: 9
    argCount: 2
    argDefaultValues: []
    argNames:
    - text
    - specials
    argTypes:
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 50
    functionName: email_validator.syntax.split_email.split_string_at_unquoted_special
    functionSourceFile: email_validator.syntax
    functionUses: 5
    functionsReached:
    - <builtin>.len
    - <builtin>.enumerate
    - unicodedata.normalize
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.enumerate
    functionSourceFile: <builtin>
    functionUses: 10
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 6
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 5
    EdgeCount: 9
    ICount: 0
    IfCount: 6
    argCount: 1
    argDefaultValues: []
    argNames:
    - text
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 115
    functionName: email_validator.syntax.split_email.unquote_quoted_string
    functionSourceFile: email_validator.syntax
    functionUses: 5
    functionsReached:
    - <builtin>.len
    - <builtin>.enumerate
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: right_part.startswith
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: left_part.rstrip
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 3
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 4
    EdgeCount: 5
    ICount: 0
    IfCount: 3
    argCount: 1
    argDefaultValues: []
    argNames:
    - c
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 208
    functionName: email_validator.syntax.safe_character_display
    functionSourceFile: email_validator.syntax
    functionUses: 8
    functionsReached:
    - <builtin>.repr
    - unicodedata.name
    - unicodedata.category
    - <builtin>.ord
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ATEXT_RE.match
    functionSourceFile: <builtin>
    functionUses: 6
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 8
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 6
    EdgeCount: 12
    ICount: 5
    IfCount: 8
    argCount: 2
    argDefaultValues:
    - <ast.Constant object at 0x7f25ef4cbc40>
    argNames:
    - s
    - allow_space
    argTypes:
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 392
    functionName: email_validator.syntax.check_unsafe_chars
    functionSourceFile: email_validator.syntax
    functionUses: 7
    functionsReached:
    - unicodedata.category
    - bad_chars.add
    - <builtin>.set
    - <builtin>.enumerate
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: right_part.rstrip
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 1
    IfCount: 0
    argCount: 2
    argDefaultValues: []
    argNames:
    - addr
    - limit
    argTypes:
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 201
    functionName: email_validator.syntax.get_length_reason
    functionSourceFile: email_validator.syntax
    functionUses: 7
    functionsReached:
    - <builtin>.len
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: unicodedata.category
    functionSourceFile: unicodedata
    functionUses: 11
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.ord
    functionSourceFile: <builtin>
    functionUses: 10
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: unicodedata.name
    functionSourceFile: unicodedata
    functionUses: 9
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: DOT_ATOM_TEXT.match
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: DOT_ATOM_TEXT_INTL.match
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: QTEXT_INTL.match
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: local.encode
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: re.sub
    functionSourceFile: re
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ATEXT_INTL_DOT_RE.match
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 7
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 6
    EdgeCount: 11
    ICount: 0
    IfCount: 7
    argCount: 4
    argDefaultValues: []
    argNames:
    - label
    - start_descr
    - end_descr
    - is_hostname
    argTypes:
    - N/A
    - N/A
    - N/A
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 444
    functionName: email_validator.syntax.check_dot_atom
    functionSourceFile: email_validator.syntax
    functionUses: 6
    functionsReached:
    - label.endswith
    - label.startswith
    linkageType: pythonLinkage
    raised:
    - EmailSyntaxError
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.set
    functionSourceFile: <builtin>
    functionUses: 8
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: bad_chars.add
    functionSourceFile: <builtin>
    functionUses: 8
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: label.endswith
    functionSourceFile: <builtin>
    functionUses: 7
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: label.startswith
    functionSourceFile: <builtin>
    functionUses: 7
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 4
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 5
    EdgeCount: 7
    ICount: 0
    IfCount: 4
    argCount: 1
    argDefaultValues: []
    argNames:
    - char
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 463
    functionName: email_validator.syntax.uts46_valid_char
    functionSourceFile: email_validator.syntax
    functionUses: 5
    functionsReached:
    - <builtin>.ord
    - unicodedata.category
    - <builtin>.chr
    - unicodedata.decomposition
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.chr
    functionSourceFile: <builtin>
    functionUses: 6
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: unicodedata.decomposition
    functionSourceFile: unicodedata
    functionUses: 6
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ATEXT_HOSTNAME_INTL.match
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: idna.uts46_remap
    functionSourceFile: idna
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: domain.split
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: re.match
    functionSourceFile: re
    functionUses: 6
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: DOT_ATOM_TEXT_HOSTNAME.match
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: idna.alabel
    functionSourceFile: idna
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ascii_domain.split
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: DOMAIN_NAME_REGEX.search
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ascii_domain.endswith
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ascii_domain.encode
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: idna.decode
    functionSourceFile: idna
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: idna.encode
    functionSourceFile: idna
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: addr.encode
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: c.encode
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.max
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ipaddress.IPv4Address
    functionSourceFile: ipaddress
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: domain_literal.startswith
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ipaddress.IPv6Address
    functionSourceFile: ipaddress
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: DOMAIN_LITERAL_CHARS.match
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: -1
    functionName: email_validator.rfc_constants
    functionSourceFile: email_validator.rfc_constants
    functionUses: 0
    functionsReached:
    - re.compile
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: re.compile
    functionSourceFile: re
    functionUses: 1
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: -1
    functionName: email_validator.deliverability
    functionSourceFile: email_validator.deliverability
    functionUses: 0
    functionsReached:
    - typing.TypedDict
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: dns.resolver.Resolver
    functionSourceFile: <builtin>
    functionUses: 4
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: dns.resolver.LRUCache
    functionSourceFile: <builtin>
    functionUses: 4
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: typing.TypedDict
    functionSourceFile: typing
    functionUses: 1
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: dns.resolver.get_default_resolver
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: dns_resolver.resolve
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.str
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 1
    argDefaultValues: []
    argNames:
    - address
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 1
    functionLinenumber: 79
    functionName: email_validator.deliverability.validate_email_deliverability.is_global_addr
    functionSourceFile: email_validator.deliverability
    functionUses: 5
    functionsReached:
    - ipaddress.ip_address
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: ipaddress.ip_address
    functionSourceFile: ipaddress
    functionUses: 6
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.any
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: value.startswith
    functionSourceFile: <builtin>
    functionUses: 5
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: email_validator.exceptions
    functionSourceFile: email_validator.exceptions
    functionUses: 0
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 1
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 2
    ICount: 1
    IfCount: 1
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 5
    functionLinenumber: -1
    functionName: email_validator.__main__
    functionSourceFile: email_validator.__main__
    functionUses: 0
    functionsReached:
    - <builtin>.isinstance
    - DOMAIN_LITERAL_CHARS.match
    - ipaddress.IPv4Address
    - idna.encode
    - domain_part.startswith
    - email_validator.syntax.check_dot_atom
    - <builtin>.set
    - email_validator.syntax.validate_email_local_part
    - ascii_domain.split
    - <builtin>.max
    - dns.resolver.get_default_resolver
    - re.match
    - idna.decode
    - email_validator.syntax.uts46_valid_char
    - ipaddress.ip_address
    - email_validator.syntax.validate_email_domain_literal
    - email_validator.syntax.split_email.split_string_at_unquoted_special
    - <builtin>.bool
    - <builtin>.any
    - unicodedata.category
    - email_validator.syntax.split_email
    - email.decode
    - varname.lower
    - email_validator.deliverability.caching_resolver
    - local.encode
    - email_validator.syntax.get_length_reason
    - left_part.rstrip
    - DOT_ATOM_TEXT_INTL.match
    - email_validator.syntax.safe_character_display
    - dns_resolver.resolve
    - email_validator.syntax.validate_email_length
    - idna.uts46_remap
    - email_validator.syntax.validate_email_domain_name
    - <builtin>.ord
    - unicodedata.decomposition
    - <builtin>.chr
    - email_validator.__main__.main
    - json.dumps
    - DOMAIN_NAME_REGEX.search
    - ipaddress.IPv6Address
    - bad_chars.add
    - domain_part.endswith
    - label.endswith
    - <builtin>.str
    - domain_literal.startswith
    - sys.stdin.strip
    - email_validator.deliverability.validate_email_deliverability.is_global_addr
    - idna.alabel
    - <builtin>.repr
    - ATEXT_INTL_DOT_RE.match
    - dns.resolver.Resolver
    - ascii_domain.endswith
    - email_validator.validate_email.validate_email
    - <builtin>.sorted
    - ascii_domain.encode
    - DOT_ATOM_TEXT.match
    - <builtin>.enumerate
    - re.sub
    - deliverability_info.get
    - domain.split
    - QTEXT_INTL.match
    - dns.resolver.LRUCache
    - value.startswith
    - <builtin>.len
    - email_validator.syntax.check_unsafe_chars
    - <builtin>.print
    - right_part.startswith
    - ret.local_part.lower
    - right_part.rstrip
    - email_validator.syntax.split_email.unquote_quoted_string
    - addr.encode
    - label.startswith
    - DOT_ATOM_TEXT_HOSTNAME.match
    - c.encode
    - d.get
    - ATEXT_HOSTNAME_INTL.match
    - email_validator.types.ValidatedEmail.as_dict
    - unicodedata.name
    - unicodedata.normalize
    - ATEXT_RE.match
    - <builtin>.float
    - email_validator.deliverability.validate_email_deliverability
    - ret.ascii_local_part.lower
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 3
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 4
    EdgeCount: 5
    ICount: 4
    IfCount: 3
    argCount: 1
    argDefaultValues:
    - <ast.Constant object at 0x7f25ef9c35e0>
    argNames:
    - dns_resolver
    argTypes:
    - N/A
    constantsTouched: []
    functionDepth: 4
    functionLinenumber: 27
    functionName: email_validator.__main__.main
    functionSourceFile: email_validator.__main__
    functionUses: 1
    functionsReached:
    - <builtin>.isinstance
    - DOMAIN_LITERAL_CHARS.match
    - ipaddress.IPv4Address
    - idna.encode
    - domain_part.startswith
    - email_validator.syntax.check_dot_atom
    - <builtin>.set
    - email_validator.syntax.validate_email_local_part
    - ascii_domain.split
    - <builtin>.max
    - dns.resolver.get_default_resolver
    - re.match
    - idna.decode
    - email_validator.syntax.uts46_valid_char
    - ipaddress.ip_address
    - email_validator.syntax.validate_email_domain_literal
    - email_validator.syntax.split_email.split_string_at_unquoted_special
    - <builtin>.bool
    - <builtin>.any
    - unicodedata.category
    - email_validator.syntax.split_email
    - email.decode
    - varname.lower
    - email_validator.deliverability.caching_resolver
    - local.encode
    - email_validator.syntax.get_length_reason
    - left_part.rstrip
    - DOT_ATOM_TEXT_INTL.match
    - email_validator.syntax.safe_character_display
    - dns_resolver.resolve
    - email_validator.syntax.validate_email_length
    - idna.uts46_remap
    - email_validator.syntax.validate_email_domain_name
    - <builtin>.ord
    - unicodedata.decomposition
    - <builtin>.chr
    - json.dumps
    - DOMAIN_NAME_REGEX.search
    - ipaddress.IPv6Address
    - bad_chars.add
    - domain_part.endswith
    - label.endswith
    - <builtin>.str
    - domain_literal.startswith
    - sys.stdin.strip
    - email_validator.deliverability.validate_email_deliverability.is_global_addr
    - idna.alabel
    - <builtin>.repr
    - ATEXT_INTL_DOT_RE.match
    - dns.resolver.Resolver
    - ascii_domain.endswith
    - email_validator.validate_email.validate_email
    - <builtin>.sorted
    - ascii_domain.encode
    - DOT_ATOM_TEXT.match
    - <builtin>.enumerate
    - re.sub
    - deliverability_info.get
    - domain.split
    - QTEXT_INTL.match
    - dns.resolver.LRUCache
    - value.startswith
    - <builtin>.len
    - email_validator.syntax.check_unsafe_chars
    - <builtin>.print
    - right_part.startswith
    - ret.local_part.lower
    - right_part.rstrip
    - email_validator.syntax.split_email.unquote_quoted_string
    - addr.encode
    - label.startswith
    - DOT_ATOM_TEXT_HOSTNAME.match
    - c.encode
    - d.get
    - ATEXT_HOSTNAME_INTL.match
    - email_validator.types.ValidatedEmail.as_dict
    - unicodedata.name
    - unicodedata.normalize
    - ATEXT_RE.match
    - <builtin>.float
    - email_validator.deliverability.validate_email_deliverability
    - ret.ascii_local_part.lower
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: varname.lower
    functionSourceFile: <builtin>
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.bool
    functionSourceFile: <builtin>
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.float
    functionSourceFile: <builtin>
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: sys.stdin.strip
    functionSourceFile: sys
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: <builtin>.print
    functionSourceFile: <builtin>
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 3
    EdgeCount: 1
    ICount: 0
    IfCount: 0
    argCount: 0
    argDefaultValues: []
    argNames: []
    argTypes: []
    constantsTouched: []
    functionDepth: 0
    functionLinenumber: -1
    functionName: json.dumps
    functionSourceFile: json
    functionUses: 2
    functionsReached: []
    linkageType: pythonLinkage
    raised: []
    returnType: N/A
  Function list name: All functions
Function coverage:
  '...fuzz_validator':
  - 36
  - 37
  '...fuzz_validator.TestOneInput':
  - 25
  '...fuzz_validator.main':
  - 32
  - 33
  - 31
  email_validator:
  - 14
  email_validator.__main__:
  - 60
  - 61
  email_validator.__main__.main:
  - 32
  - 35
  - 36
  - 37
  - 38
  - 39
  - 41
  - 43
  - 44
  - 45
  - 47
  - 49
  - 54
  - 55
  - 57
  email_validator.caching_resolver:
  - 21
  email_validator.deliverability:
  - 21
  email_validator.deliverability.caching_resolver:
  - 16
  - 12
  - 15
  email_validator.deliverability.validate_email_deliverability:
  - 121
  - 100
  - 37
  - 102
  - 39
  - 41
  - 43
  - 51
  - 54
  - 87
  - 89
  - 122
  - 123
  - 124
  - 125
  - 62
  email_validator.deliverability.validate_email_deliverability.is_global_addr:
  - 81
  email_validator.exceptions.EmailNotValidError:
  - 2
  email_validator.exceptions.EmailSyntaxError:
  - 7
  email_validator.exceptions.EmailUndeliverableError:
  - 12
  email_validator.rfc_constants:
  - 36
  - 8
  - 9
  - 16
  - 17
  - 22
  - 24
  - 25
  - 28
  email_validator.syntax.check_dot_atom:
  - 448
  - 450
  - 453
  - 455
  - 457
  - 459
  - 446
  email_validator.syntax.check_unsafe_chars:
  - 439
  - 418
  - 419
  - 420
  - 425
  - 426
  - 395
  - 396
  - 397
  - 398
  - 401
  - 434
  - 406
  - 407
  - 408
  - 438
  email_validator.syntax.get_length_reason:
  - 202
  - 203
  email_validator.syntax.safe_character_display:
  - 210
  - 212
  - 213
  - 216
  - 217
  - 219
  - 222
  email_validator.syntax.split_email:
  - 160
  - 192
  - 162
  - 164
  - 196
  - 166
  - 170
  - 174
  - 176
  - 145
  - 177
  - 181
  - 151
  - 184
  - 153
  - 156
  email_validator.syntax.split_email.split_string_at_unquoted_special:
  - 64
  - 98
  - 67
  - 69
  - 71
  - 105
  - 77
  - 111
  - 80
  - 89
  - 58
  email_validator.syntax.split_email.unquote_quoted_string:
  - 128
  - 130
  - 131
  - 137
  - 123
  - 124
  - 125
  email_validator.syntax.uts46_valid_char:
  - 487
  - 468
  - 469
  - 472
  - 479
  email_validator.syntax.validate_email_domain_literal:
  - 803
  - 775
  - 777
  - 813
  - 815
  - 817
  - 788
  - 790
  email_validator.syntax.validate_email_domain_name:
  - 641
  - 515
  - 644
  - 520
  - 521
  - 523
  - 656
  - 536
  - 670
  - 543
  - 672
  - 545
  - 674
  - 547
  - 676
  - 681
  - 557
  - 561
  - 562
  - 565
  - 583
  - 584
  - 585
  - 593
  - 603
  - 604
  - 605
  - 608
  - 614
  - 615
  - 616
  - 619
  - 499
  - 627
  - 631
  - 504
  - 506
  - 508
  - 639
  email_validator.syntax.validate_email_length:
  - 736
  - 737
  - 744
  - 745
  - 747
  - 727
  - 728
  - 729
  - 731
  - 732
  email_validator.syntax.validate_email_local_part:
  - 385
  - 265
  - 284
  - 286
  - 291
  - 293
  - 295
  - 309
  - 315
  - 317
  - 319
  - 324
  - 326
  - 328
  - 332
  - 340
  - 346
  - 352
  - 360
  - 233
  - 361
  - 235
  - 236
  - 376
  - 378
  - 380
  - 254
  - 255
  email_validator.types.ValidatedEmail:
  - 121
  - 34
  - 37
  - 6
  - 69
  - 9
  - 42
  - 12
  - 109
  - 46
  - 18
  - 50
  - 21
  - 56
  - 25
  - 91
  - 28
  - 31
  email_validator.types.ValidatedEmail.__eq__:
  - 99
  - 100
  - 101
  - 103
  - 104
  - 105
  - 106
  - 93
  email_validator.types.ValidatedEmail.__getattr__:
  - 58
  - 60
  email_validator.types.ValidatedEmail.__getitem__:
  - 72
  - 73
  - 75
  - 77
  - 79
  - 81
  - 83
  - 85
  - 87
  email_validator.types.ValidatedEmail.as_constructor:
  - 112
  - 117
  email_validator.types.ValidatedEmail.as_dict:
  - 124
  - 125
  email_validator.types.ValidatedEmail.email:
  - 66
  email_validator.validate_email:
  - 9
  email_validator.validate_email.validate_email:
  - 138
  - 144
  - 145
  - 147
  - 148
  - 152
  - 155
  - 157
  - 158
  - 32
  - 168
  - 41
  - 43
  - 45
  - 47
  - 176
  - 49
  - 177
  - 51
  - 53
  - 55
  - 184
  - 57
  - 59
  - 188
  - 62
  - 191
  - 64
  - 195
  - 69
  - 201
  - 204
  - 205
  - 207
  - 81
  - 83
  - 89
  - 92
  - 102
  - 123
  - 124
  - 126
Fuzzer filename: /src/fuzz_validator.py
Inheritance:
  email_validator.exceptions.EmailNotValidError:
  - ValueError
  email_validator.exceptions.EmailSyntaxError:
  - EmailNotValidError
  email_validator.exceptions.EmailUndeliverableError:
  - EmailNotValidError
  email_validator.syntax.DomainLiteralValidationResult:
  - TypedDict
  email_validator.syntax.DomainNameValidationResult:
  - TypedDict
  email_validator.syntax.LocalPartValidationResult:
  - TypedDict
  email_validator.types.ValidatedEmail: []
ep:
  func_name: TestOneInput
  module: '...fuzz_validator'
